Skip to main content
GET
/
firework
/
v4
/
identifiers
/
List Identifiers
curl --request GET \
  --url https://api.flare.io/firework/v4/identifiers/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.flare.io/firework/v4/identifiers/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.flare.io/firework/v4/identifiers/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "id": 123,
      "name": "<string>",
      "tenant_id": 123,
      "data": {
        "bin": "<string>",
        "type": "bin"
      },
      "categories": [],
      "emerging_categories": [
        "<string>"
      ],
      "severities": [],
      "group_id": 123,
      "enrichments": {
        "domain_reachable_at": "2023-11-07T05:31:56Z",
        "domain_resolves_at": "2023-11-07T05:31:56Z",
        "usage_count": 123,
        "event_count": 123,
        "authorization_status": "authorized"
      },
      "is_disabled": true,
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string | null
size
integer
default:20
Required range: x <= 100
order_by
enum<string>
default:id
Available options:
id,
name,
type
is_disabled
boolean | null
group_id
integer | null
types
enum<string>[] | null
Available options:
bin,
ip,
keyword,
azure_tenant,
domain,
search_query,
github_repository,
secret,
identity
authorization_status
enum<string> | null
Available options:
pending,
rejected,
authorized

Response

Successful Response

items
IdentifierResponse · object[]
required
next
string | null
required